roasOS
API referenceProducts

Update a product

PATCH
/v1/products/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/products/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "kind": "physical",    "name": "string",    "description": "string",    "brand": "string",    "category": "string",    "images": [      "http://example.com"    ],    "icon": "http://example.com",    "product_url": "http://example.com",    "thumbnail": "http://example.com",    "reference_sheet": "http://example.com",    "facts": {      "property1": null,      "property2": null    },    "kit": {      "status": "none",      "version": 0,      "hero": "front",      "angles": {        "front": {          "url": "http://example.com",          "verified": true,          "score": 0,          "source": "generated"        },        "three_quarter": {          "url": "http://example.com",          "verified": true,          "score": 0,          "source": "generated"        },        "detail": {          "url": "http://example.com",          "verified": true,          "score": 0,          "source": "generated"        },        "in_hand": {          "url": "http://example.com",          "verified": true,          "score": 0,          "source": "generated"        },        "side_left": {          "url": "http://example.com",          "verified": true,          "score": 0,          "source": "generated"        },        "side_right": {          "url": "http://example.com",          "verified": true,          "score": 0,          "source": "generated"        },        "top": {          "url": "http://example.com",          "verified": true,          "score": 0,          "source": "generated"        },        "surface": {          "url": "http://example.com",          "verified": true,          "score": 0,          "source": "generated"        },        "back": {          "url": "http://example.com",          "verified": true,          "score": 0,          "source": "generated"        }      },      "cutouts": [        {          "raw": "http://example.com",          "url": "http://example.com",          "angle": "string"        }      ]    },    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}